summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorzlsun2016-02-21 15:32:52 +0800
committerzlsun2016-02-21 15:32:52 +0800
commit5c74bd434c494b9ffaa2d92f28c6ca850bbdf76e (patch)
treea6a467208c410e48a04606a3826e1280022e8f8e
downloadaur-5c74bd434c494b9ffaa2d92f28c6ca850bbdf76e.tar.gz
Initial commit
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD27
2 files changed, 46 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..1590ad16da0
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+# Generated by mksrcinfo v8
+# Sun Feb 21 07:32:46 UTC 2016
+pkgbase = lunar-calendar
+ pkgdesc = Chinese Lunar calendar widget for Gtk+
+ pkgver = 3.0.0
+ pkgrel = 1
+ url = http://code.google.com/p/liblunar/
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = gtk3>=3.0.9
+ makedepends = lunar-date>=2.4.0
+ depends = gtk3>=3.0.9
+ depends = lunar-date>=2.4.0
+ source = http://liblunar.googlecode.com/files/lunar-calendar-3.0.0.tar.gz
+ sha256sums = 8cdbf367250e48774f79a10897126e0e92171b49167959b72554e583999a3294
+
+pkgname = lunar-calendar
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0bae79a5049
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: zlsun <zlsun1995 at gmail dot com>
+# Contributor: yetist <yetist@gmail.com>
+
+pkgname=lunar-calendar
+pkgver=3.0.0
+pkgrel=1
+pkgdesc="Chinese Lunar calendar widget for Gtk+"
+arch=("i686" "x86_64")
+url="http://code.google.com/p/liblunar/"
+license=('GPL2')
+depends=('gtk3>=3.0.9' 'lunar-date>=2.4.0')
+makedepends=('gtk3>=3.0.9' 'lunar-date>=2.4.0')
+source=("http://liblunar.googlecode.com/files/$pkgname-$pkgver.tar.gz")
+sha256sums=('8cdbf367250e48774f79a10897126e0e92171b49167959b72554e583999a3294')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ make DESTDIR="$pkgdir/" install || return 1
+}